// Example sketch to control a 28BYJ-48 stepper motor with ULN2003 driver board, AccelStepper and ESP32 continuous rotation.
//More info: https://www.makerguides.com

// Include the AccelStepper library:
#include <AccelStepper.h>

int touch_threshold = 40; // try changing this value to affect the sensitivity of the switch
int incomingByte = 0;

// Motor pin definitions:
#define motor_pin_az1  13      // IN1 on the ULN2003 driver
#define motor_pin_az2  12      // IN2 on the ULN2003 driver
#define motor_pin_az3  14      // IN3 on the ULN2003 driver
#define motor_pin_az4  27      // IN4 on the ULN2003 driver

#define motor_pin_el1  26      // IN1 on the ULN2003 driver
#define motor_pin_el2  25      // IN2 on the ULN2003 driver
#define motor_pin_el3  33      // IN3 on the ULN2003 driver
#define motor_pin_el4  32      // IN4 on the ULN2003 driver

// Define the AccelStepper interface type; 4 wire motor in half step mode:
//#define MotorInterfaceType 4 // full steps
#define MotorInterfaceType 8 // half steps

// Initialize with pin sequence IN1-IN3-IN2-IN4 for using the AccelStepper library with 28BYJ-48 stepper motor:
AccelStepper azimuth_motor = AccelStepper(MotorInterfaceType, motor_pin_az1, motor_pin_az3, motor_pin_az2, motor_pin_az4);
AccelStepper elevation_motor = AccelStepper(MotorInterfaceType, motor_pin_el1, motor_pin_el3, motor_pin_el2, motor_pin_el4);
void setup() {
  Serial.begin(115200);
  Serial.println("Working now");
  
  
  // Set the maximum steps per second:
  azimuth_motor.setMaxSpeed(100);
  azimuth_motor.setAcceleration(20.0);
  elevation_motor.setMaxSpeed(100);
  elevation_motor.setAcceleration(20.0);
   while (touchRead(T0)> touch_threshold){
    elevation_motor.move(400);
    elevation_motor.run();
    azimuth_motor.move(400);
    azimuth_motor.run();
  }
  elevation_motor.setCurrentPosition(1);
  azimuth_motor.setCurrentPosition(1);
}

void loop() {
   elevation_motor.moveTo(4096/360 * -45);
   elevation_motor.run();
//   azimuth_motor.moveTo(4096/360 * -45);
//   azimuth_motor.run();
}
